<?php


namespace App\Entities\OpcaoPergunta;


use App\Utils\Entity;

class OpcaoPergunta extends Entity
{
    protected $id;
    protected $id_pergunta;
    protected $descricao;

    public static function builder(): OpcaoPerguntaBuilder
    {
        return new OpcaoPerguntaBuilder;
    }

    public function getId(): int
    {
        return $this->id;
    }

    public function getIdPERGUNTA(): int
    {
        return $this->id_pergunta;
    }

    public function getDescricao(): string
    {
        return $this->descricao;
    }

    public function setId(int $id): void
    {
        $this->id = $id;
    }

    public function setIdPERGUNTA(int $id_pergunta): void
    {
        $this->id_pergunta = $id_pergunta;
    }

    public function setDescricao(string $descricao): void
    {
        $this->descricao = $descricao;
    }

}